package com.sunxung.factoring.entity.underlying;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.acceptance.AcceptanceGoodsInfo;

import java.math.BigDecimal;

/**
 * 底层管理-货物历史信息实体类
 *
 * @author liutao
 * @date 2021.10.11
 */
@TableName("underlying_his_goods_info")
public class UnderlyingHisGoodsInfo extends BaseEntity {

    /**
     * 底层管理历史信息Id
     */
    @TableField("underlying_his_info_id")
    private Long underlyingHisInfoId;

    /**
     * 验收单基础信息表Id
     */
    @TableField("acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 验收单货物信息表Id
     */
    @TableField("acceptance_goods_info_id")
    private Long acceptanceGoodsInfoId;

    /**
     * 结算单基础信息表Id
     */
    @TableField("settlement_basic_info_id")
    private Long settlementBasicInfoId;

    /**
     * 结算单货物信息表Id
     */
    @TableField("settlement_goods_info_id")
    private Long settlementGoodsInfoId;

    /**
     * 销售单价
     */
    @TableField("sales_price")
    private BigDecimal salesPrice;
    /**
     * 销售总价
     */
    @TableField("sales_total_price")
    private BigDecimal salesTotalPrice;
    /**
     * 销售质保金
     */
    @TableField("sales_guarantee_money")
    private BigDecimal salesGuaranteeMoney;
    /**
     * 采购单价
     */
    @TableField("purchase_price")
    private BigDecimal purchasePrice;
    /**
     * 采购总价
     */
    @TableField("purchase_total_price")
    private BigDecimal purchaseTotalPrice;
    /**
     * 采购质保金
     */
    @TableField("purchase_guarantee_money")
    private BigDecimal purchaseGuaranteeMoney;

    /**
     * 验收单货物信息
     */
    @TableField(exist = false)
    private AcceptanceGoodsInfo acceptanceGoodsInfo;

    public UnderlyingHisGoodsInfo() {
    }

    public Long getUnderlyingHisInfoId() {
        return underlyingHisInfoId;
    }

    public void setUnderlyingHisInfoId(Long underlyingHisInfoId) {
        this.underlyingHisInfoId = underlyingHisInfoId;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }

    public Long getAcceptanceGoodsInfoId() {
        return acceptanceGoodsInfoId;
    }

    public void setAcceptanceGoodsInfoId(Long acceptanceGoodsInfoId) {
        this.acceptanceGoodsInfoId = acceptanceGoodsInfoId;
    }

    public Long getSettlementBasicInfoId() {
        return settlementBasicInfoId;
    }

    public void setSettlementBasicInfoId(Long settlementBasicInfoId) {
        this.settlementBasicInfoId = settlementBasicInfoId;
    }

    public Long getSettlementGoodsInfoId() {
        return settlementGoodsInfoId;
    }

    public void setSettlementGoodsInfoId(Long settlementGoodsInfoId) {
        this.settlementGoodsInfoId = settlementGoodsInfoId;
    }

    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    public BigDecimal getSalesTotalPrice() {
        return salesTotalPrice;
    }

    public void setSalesTotalPrice(BigDecimal salesTotalPrice) {
        this.salesTotalPrice = salesTotalPrice;
    }

    public BigDecimal getSalesGuaranteeMoney() {
        return salesGuaranteeMoney;
    }

    public void setSalesGuaranteeMoney(BigDecimal salesGuaranteeMoney) {
        this.salesGuaranteeMoney = salesGuaranteeMoney;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public BigDecimal getPurchaseTotalPrice() {
        return purchaseTotalPrice;
    }

    public void setPurchaseTotalPrice(BigDecimal purchaseTotalPrice) {
        this.purchaseTotalPrice = purchaseTotalPrice;
    }

    public BigDecimal getPurchaseGuaranteeMoney() {
        return purchaseGuaranteeMoney;
    }

    public void setPurchaseGuaranteeMoney(BigDecimal purchaseGuaranteeMoney) {
        this.purchaseGuaranteeMoney = purchaseGuaranteeMoney;
    }

    public AcceptanceGoodsInfo getAcceptanceGoodsInfo() {
        return acceptanceGoodsInfo;
    }

    public void setAcceptanceGoodsInfo(AcceptanceGoodsInfo acceptanceGoodsInfo) {
        this.acceptanceGoodsInfo = acceptanceGoodsInfo;
    }
}
